"OverQueryLimit" Error (Isochrones in QGIS)


#1

Hello all,

I am using the ORS Tools plugin for QGIS and attempting to make Isochrones (10 minute drive times) for ~900 points in a layer.

Similar to the bug being represented here, I am triggering an “OverQueryLimit” error with the default requests per minute, with the same “sleep length must be non-negative” error. (See below.)

OverQueryLimit: Wait for 53 seconds

OverQueryLimit: Wait for -7 seconds

Traceback (most recent call last):
File "C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py", line 158, in request
result = self._get_body(response)
File "C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py", line 214, in _get_body
error
ORStools.utils.exceptions.OverQueryLimit: 429 (Rate limit exceeded)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\proc\isochrones_proc.py”, line 249, in processAlgorithm
response = clnt.request(provider[‘endpoints’][self.ALGO_NAME], params)
File “C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py”, line 170, in request
time.sleep(sleep_for)
ValueError: sleep length must be non-negative

Execution failed after 71.02 seconds

I attempted the posted workaround of setting the RPM to a higher value (300) and triggered the same error. Setting the RPM to a lower value (4) still triggered a “OverQueryLimit” error, but no “sleep length must be non-negative” error. (See below.)

OverQueryLimit: Wait for 60 seconds

Traceback (most recent call last):
File "C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py", line 158, in request
result = self._get_body(response)
File "C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py", line 214, in _get_body
error
ORStools.utils.exceptions.OverQueryLimit: 429 (Rate limit exceeded)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\proc\isochrones_proc.py”, line 249, in processAlgorithm
response = clnt.request(provider[‘endpoints’][self.ALGO_NAME], params)
File “C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py”, line 172, in request
return self.request(url, params, first_request_time, requests_kwargs, post_json)
File “C:/Users/USER/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\core\client.py”, line 123, in request
raise exceptions.Timeout()
ORStools.utils.exceptions.Timeout

Execution failed after 69.53 seconds

The program successfully ticks through ~4-5% of the observations before crashing in each case. Any ideas or further workarounds would be appreciated.


#2

Upgrade the plugin, that was solved a few days ago.